summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2017-07-10 01:19:54 +0300
committerAndrei Karas <akaras@inbox.ru>2017-07-10 01:20:35 +0300
commitf7155a37bce5695743b8ebb507357d2fce061e3f (patch)
tree48e1b29cf6107d4a16ed1a56e77657eeb925c738
parentcc8110c30fa53380a5d23af00d08c35b06b22aff (diff)
downloadplus-f7155a37bce5695743b8ebb507357d2fce061e3f.tar.gz
plus-f7155a37bce5695743b8ebb507357d2fce061e3f.tar.bz2
plus-f7155a37bce5695743b8ebb507357d2fce061e3f.tar.xz
plus-f7155a37bce5695743b8ebb507357d2fce061e3f.zip
Split circle ci scripts into separate compiler calls.
-rw-r--r--circle.yml14
-rwxr-xr-xtools/ci/scripts/circleci/gcc5.sh35
-rwxr-xr-xtools/ci/scripts/circleci/gcc6.sh35
-rwxr-xr-xtools/ci/scripts/circleci/gcc6_sanitize_tests.sh35
-rwxr-xr-xtools/ci/scripts/circleci/gcc6_tests.sh35
-rwxr-xr-xtools/ci/scripts/circleci/gcc7.sh35
-rwxr-xr-xtools/ci/scripts/circleci/gcc7_sanitize_tests.sh35
-rwxr-xr-xtools/ci/scripts/circleci/gcc7_tests.sh35
-rwxr-xr-xtools/ci/scripts/circleci1.sh75
-rwxr-xr-xtools/ci/scripts/circleci2.sh75
-rwxr-xr-xtools/ci/scripts/circleci3.sh65
11 files changed, 256 insertions, 218 deletions
diff --git a/circle.yml b/circle.yml
index 16d0e6700..bcf00f5b1 100644
--- a/circle.yml
+++ b/circle.yml
@@ -10,11 +10,19 @@ general:
- "logs"
test:
override:
- - ./tools/ci/scripts/circleci1.sh:
+ - ./tools/ci/scripts/circleci/gcc5.sh:
parallel: true
- - ./tools/ci/scripts/circleci2.sh:
+ - ./tools/ci/scripts/circleci/gcc6_tests.sh:
parallel: true
- - ./tools/ci/scripts/circleci3.sh:
+ - ./tools/ci/scripts/circleci/gcc7.sh:
+ parallel: true
+ - ./tools/ci/scripts/circleci/gcc7_tests.sh:
+ parallel: true
+ - ./tools/ci/scripts/circleci/gcc6.sh:
+ parallel: true
+ - ./tools/ci/scripts/circleci/gcc6_sanitize_tests.sh:
+ parallel: true
+ - ./tools/ci/scripts/circleci/gcc7_sanitize_tests.sh:
parallel: true
post:
- mv logs $CIRCLE_ARTIFACTS/ || true
diff --git a/tools/ci/scripts/circleci/gcc5.sh b/tools/ci/scripts/circleci/gcc5.sh
new file mode 100755
index 000000000..4854393c1
--- /dev/null
+++ b/tools/ci/scripts/circleci/gcc5.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+echo "CI nodes: ${CIRCLE_NODE_TOTAL}"
+echo "Current node: ${CIRCLE_NODE_INDEX}"
+
+case $CIRCLE_NODE_INDEX in
+ 0)
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc5.sh --enable-werror --without-opengl"
+ export PACKAGES="gcc-5 g++-5 ${LIBS_PACKAGES} ${SDL1}"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 1)
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc5.sh --enable-werror --without-opengl"
+ export PACKAGES="gcc-5 g++-5 ${LIBS_PACKAGES} ${SDL1}"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 2)
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc5.sh --enable-werror --without-opengl --with-sdl2"
+ export PACKAGES="gcc-5 g++-5 ${LIBS_PACKAGES} ${SDL2}"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 3)
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc5.sh --enable-werror --without-opengl --with-sdl2"
+ export PACKAGES="gcc-5 g++-5 ${LIBS_PACKAGES} ${SDL2}"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ *)
+ echo unknown node
+ exit 1
+ ;;
+esac
diff --git a/tools/ci/scripts/circleci/gcc6.sh b/tools/ci/scripts/circleci/gcc6.sh
new file mode 100755
index 000000000..c045ed985
--- /dev/null
+++ b/tools/ci/scripts/circleci/gcc6.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+echo "CI nodes: ${CIRCLE_NODE_TOTAL}"
+echo "Current node: ${CIRCLE_NODE_INDEX}"
+
+case $CIRCLE_NODE_INDEX in
+ 0)
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc6.sh --enable-werror --without-opengl --with-sdl2"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2}"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 1)
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc6.sh --enable-werror --without-opengl"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1}"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 2)
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc6.sh --enable-werror --without-opengl"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1}"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 3)
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc6.sh --enable-werror --without-opengl --with-sdl2"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2}"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ *)
+ echo unknown node
+ exit 1
+ ;;
+esac
diff --git a/tools/ci/scripts/circleci/gcc6_sanitize_tests.sh b/tools/ci/scripts/circleci/gcc6_sanitize_tests.sh
new file mode 100755
index 000000000..a743210bf
--- /dev/null
+++ b/tools/ci/scripts/circleci/gcc6_sanitize_tests.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+echo "CI nodes: ${CIRCLE_NODE_TOTAL}"
+echo "Current node: ${CIRCLE_NODE_INDEX}"
+
+case $CIRCLE_NODE_INDEX in
+ 0)
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 1)
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 2)
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 3)
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ *)
+ echo unknown node
+ exit 1
+ ;;
+esac
diff --git a/tools/ci/scripts/circleci/gcc6_tests.sh b/tools/ci/scripts/circleci/gcc6_tests.sh
new file mode 100755
index 000000000..ec19a0e19
--- /dev/null
+++ b/tools/ci/scripts/circleci/gcc6_tests.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+echo "CI nodes: ${CIRCLE_NODE_TOTAL}"
+echo "Current node: ${CIRCLE_NODE_INDEX}"
+
+case $CIRCLE_NODE_INDEX in
+ 0)
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 1)
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 2)
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 3)
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug"
+ export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ *)
+ echo unknown node
+ exit 1
+ ;;
+esac
diff --git a/tools/ci/scripts/circleci/gcc7.sh b/tools/ci/scripts/circleci/gcc7.sh
new file mode 100755
index 000000000..6a2ccd6a6
--- /dev/null
+++ b/tools/ci/scripts/circleci/gcc7.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+echo "CI nodes: ${CIRCLE_NODE_TOTAL}"
+echo "Current node: ${CIRCLE_NODE_INDEX}"
+
+case $CIRCLE_NODE_INDEX in
+ 0)
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc7.sh --enable-werror --without-opengl"
+ export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1}"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 1)
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc7.sh --enable-werror --without-opengl"
+ export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1}"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 2)
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc7.sh --enable-werror --without-opengl --with-sdl2"
+ export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2}"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 3)
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc7.sh --enable-werror --without-opengl --with-sdl2"
+ export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2}"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ *)
+ echo unknown node
+ exit 1
+ ;;
+esac
diff --git a/tools/ci/scripts/circleci/gcc7_sanitize_tests.sh b/tools/ci/scripts/circleci/gcc7_sanitize_tests.sh
new file mode 100755
index 000000000..73aeaf212
--- /dev/null
+++ b/tools/ci/scripts/circleci/gcc7_sanitize_tests.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+echo "CI nodes: ${CIRCLE_NODE_TOTAL}"
+echo "Current node: ${CIRCLE_NODE_INDEX}"
+
+case $CIRCLE_NODE_INDEX in
+ 0)
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc7_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
+ export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 1)
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc7_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl"
+ export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 2)
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc7_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl"
+ export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 3)
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc7_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
+ export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ *)
+ echo unknown node
+ exit 1
+ ;;
+esac
diff --git a/tools/ci/scripts/circleci/gcc7_tests.sh b/tools/ci/scripts/circleci/gcc7_tests.sh
new file mode 100755
index 000000000..4c604159d
--- /dev/null
+++ b/tools/ci/scripts/circleci/gcc7_tests.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+echo "CI nodes: ${CIRCLE_NODE_TOTAL}"
+echo "Current node: ${CIRCLE_NODE_INDEX}"
+
+case $CIRCLE_NODE_INDEX in
+ 0)
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
+ export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 1)
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
+ export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 2)
+ export IMAGE=debian:unstable
+ export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug"
+ export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ 3)
+ export IMAGE=vicamo/debian:sid-i386
+ export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl"
+ export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
+ ./tools/ci/scripts/docker_run.sh
+ ;;
+ *)
+ echo unknown node
+ exit 1
+ ;;
+esac
diff --git a/tools/ci/scripts/circleci1.sh b/tools/ci/scripts/circleci1.sh
deleted file mode 100755
index 13ea96bdf..000000000
--- a/tools/ci/scripts/circleci1.sh
+++ /dev/null
@@ -1,75 +0,0 @@
-#!/bin/bash
-
-echo "CI nodes: ${CIRCLE_NODE_TOTAL}"
-echo "Current node: ${CIRCLE_NODE_INDEX}"
-
-case $CIRCLE_NODE_INDEX in
- 0)
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc5.sh --enable-werror --without-opengl"
- export PACKAGES="gcc-5 g++-5 ${LIBS_PACKAGES} ${SDL1}"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc6.sh --enable-werror --without-opengl"
- export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1}"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc7.sh --enable-werror --without-opengl"
- export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1}"
- ./tools/ci/scripts/docker_run.sh
- ;;
- 1)
- export IMAGE=vicamo/debian:sid-i386
- export COMMAND="./tools/ci/jobs/gcc5.sh --enable-werror --without-opengl"
- export PACKAGES="gcc-5 g++-5 ${LIBS_PACKAGES} ${SDL1}"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=vicamo/debian:sid-i386
- export COMMAND="./tools/ci/jobs/gcc6.sh --enable-werror --without-opengl"
- export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1}"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=vicamo/debian:sid-i386
- export COMMAND="./tools/ci/jobs/gcc7.sh --enable-werror --without-opengl"
- export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1}"
- ./tools/ci/scripts/docker_run.sh
- ;;
- 2)
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc5.sh --enable-werror --without-opengl --with-sdl2"
- export PACKAGES="gcc-5 g++-5 ${LIBS_PACKAGES} ${SDL2}"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc6.sh --enable-werror --without-opengl --with-sdl2"
- export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2}"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc7.sh --enable-werror --without-opengl --with-sdl2"
- export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2}"
- ./tools/ci/scripts/docker_run.sh
- ;;
- 3)
- export IMAGE=vicamo/debian:sid-i386
- export COMMAND="./tools/ci/jobs/gcc5.sh --enable-werror --without-opengl --with-sdl2"
- export PACKAGES="gcc-5 g++-5 ${LIBS_PACKAGES} ${SDL2}"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=vicamo/debian:sid-i386
- export COMMAND="./tools/ci/jobs/gcc6.sh --enable-werror --without-opengl --with-sdl2"
- export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2}"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=vicamo/debian:sid-i386
- export COMMAND="./tools/ci/jobs/gcc7.sh --enable-werror --without-opengl --with-sdl2"
- export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2}"
- ./tools/ci/scripts/docker_run.sh
- ;;
- *)
- echo unknown node
- exit 1
- ;;
-esac
diff --git a/tools/ci/scripts/circleci2.sh b/tools/ci/scripts/circleci2.sh
deleted file mode 100755
index bec4d1c3a..000000000
--- a/tools/ci/scripts/circleci2.sh
+++ /dev/null
@@ -1,75 +0,0 @@
-#!/bin/bash
-
-echo "CI nodes: ${CIRCLE_NODE_TOTAL}"
-echo "Current node: ${CIRCLE_NODE_INDEX}"
-
-case $CIRCLE_NODE_INDEX in
- 0)
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl"
- export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc7_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl"
- export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug"
- export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
- ./tools/ci/scripts/docker_run.sh
- ;;
- 1)
- export IMAGE=vicamo/debian:sid-i386
- export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl"
- export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=vicamo/debian:sid-i386
- export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl"
- export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=vicamo/debian:sid-i386
- export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl"
- export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
- ./tools/ci/scripts/docker_run.sh
- ;;
- 2)
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
- export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc7_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
- export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
- export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
- ./tools/ci/scripts/docker_run.sh
- ;;
- 3)
- export IMAGE=vicamo/debian:sid-i386
- export COMMAND="./tools/ci/jobs/gcc6_sanitize_tests.sh --enable-unittests=yes --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
- export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=vicamo/debian:sid-i386
- export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
- export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=vicamo/debian:sid-i386
- export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
- export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
- ./tools/ci/scripts/docker_run.sh
- ;;
- *)
- echo unknown node
- exit 1
- ;;
-esac
diff --git a/tools/ci/scripts/circleci3.sh b/tools/ci/scripts/circleci3.sh
deleted file mode 100755
index 192d4707d..000000000
--- a/tools/ci/scripts/circleci3.sh
+++ /dev/null
@@ -1,65 +0,0 @@
-#!/bin/bash
-
-echo "CI nodes: ${CIRCLE_NODE_TOTAL}"
-echo "Current node: ${CIRCLE_NODE_INDEX}"
-
-case $CIRCLE_NODE_INDEX in
- 0)
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug"
- export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl"
- export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl"
- export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
- ./tools/ci/scripts/docker_run.sh
- ;;
- 1)
- export IMAGE=vicamo/debian:sid-i386
- export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug"
- export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL1} valgrind"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=vicamo/debian:sid-i386
- export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug"
- export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL1} valgrind"
- ./tools/ci/scripts/docker_run.sh
- ;;
- 2)
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --enable-glibcdebug --with-sdl2"
- export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
- export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=debian:unstable
- export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
- export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
- ./tools/ci/scripts/docker_run.sh
- ;;
- 3)
- export IMAGE=vicamo/debian:sid-i386
- export COMMAND="./tools/ci/jobs/gcc6_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
- export PACKAGES="gcc-6 g++-6 ${LIBS_PACKAGES} ${SDL2} valgrind"
- ./tools/ci/scripts/docker_run.sh
-
- export IMAGE=vicamo/debian:sid-i386
- export COMMAND="./tools/ci/jobs/gcc7_tests.sh --without-dyecmd --without-manaplusgame --without-opengl --with-sdl2"
- export PACKAGES="gcc-7 g++-7 ${LIBS_PACKAGES} ${SDL2} valgrind"
- ./tools/ci/scripts/docker_run.sh
- ;;
- *)
- echo unknown node
- exit 1
- ;;
-esac